﻿@using System.Security.Claims;
@{
    var users = User as ClaimsPrincipal;
}

 
@inject IMenuInterface menuRepo;
@{ 
    var listmenutype = menuRepo.GetMenuTypes(@users.FindFirst(ClaimTypes.Sid).Value, @users.FindFirst("Token").Value);
    var listmenu = menuRepo.GetMenu(@users.FindFirst(ClaimTypes.Sid).Value, @users.FindFirst("Token").Value);
    int i = 1;
    int ii = 1; 
    string menu_type_active = "";
}
<div class="tab-content p-l-0 p-r-0">
    <ul class="nav nav-tabs" >
        @foreach (var item in listmenutype)
        {
            menu_type_active = "";
            if (item.Name == ViewData["MenuType"].ToString())
            { menu_type_active = "active"; }
            <li class="nav-item"><a class="nav-link @menu_type_active" data-toggle="tab" href="#menutab_@item.ID">@item.Name</a></li>
            i++;
        }
    </ul>
    <div class="tab-content p-l-0 p-r-0">
        @foreach (var item in listmenutype)
        {
           
            menu_type_active = "";
            if (item.Name == ViewData["MenuType"].ToString())
            { menu_type_active = "active"; }

            <div class="tab-pane animated fadeIn @menu_type_active" id="menutab_@item.ID" data-id="@users.FindFirst(ClaimTypes.Sid).Value">
                <nav class="sidebar-nav">
                    <ul class="main-menu metismenu">
                        @foreach (var menu in listmenu.Where(a => a.Type == item.Type && a.ParentID == 0))
                        {
                            var child1 = listmenu.Where(x => x.ParentID == menu.ID);
                            if (child1.Count() > 0)
                            {
                                string actv = "";
                                if (menu.Name == ViewData["PageParentName"].ToString())
                                    actv = "active";
                                <li class="@actv">
                                    <a href="#menu_@menu.ID" class="has-arrow"><i class="icon-users"></i><span>@menu.Name</span></a>
                                    <ul>
                                        @foreach (var itemchild in child1)
                                        {
                                            string actv_child = "";
                                            if (itemchild.Name == ViewData["PageName"].ToString())
                                                actv_child = "active";
                                            <li class="@actv_child"><a href="@itemchild.Link">@itemchild.Name</a></li>
                                        }
                                    </ul>
                                </li>
                            }
                            else
                            {
                                string actv = "";
                                if (menu.Name == ViewData["PageParentName"].ToString())
                                    actv = "active";
                                <li class="@actv"><a href="@menu.Link"><i class="icon-list"></i>@menu.Name</a></li>
                            }
                        }
                    </ul>
                </nav>
            </div>
            ii++;
        }

    </div>
</div>
